var pstyle = 'border: 1px solid #dfdfdf; padding: 5px;';
  
var config = {
  layout: {
      name: 'layout',
      padding: 4,
      panels: [
          { type: 'left', style: pstyle, size: '15%', resizable: true, minSize: 120, title: 'Zoeken',
            tabs: {
              name: 'searchTabs',
              active: 'textTab',
              tabs: [
                { id: 'searchTab', text: 'Zoeken' },
                { id: 'filterTab', text: 'Filteren' }
              ]
            }},
          { type: 'main', style: pstyle, resizable: true, title: 'Resultaten',
            tabs: {
              name: 'resultTabs',
              active: 'regelingenTab',
              tabs: [
                { id: 'regelingenTab', text: 'Regelingen' },
                { id: 'onderdelenTab', text: 'Onderdelen' }
              ]
            }
          },
          { type: 'right', style: pstyle, size: '15%', resizable: true, title: 'Details' },
          { type: 'bottom', style: pstyle, size: '40%', resizable: true, title: 'Bekijken' }
      ]
  },
  grid1: { 
      name: 'grid1',
      show: {
        header: false,
        toolbar: false,
        footer: false,
        lineNumbers: true,
        selectColumn: true,
        expandColumn: true
      },
      columns: [
          { field: 'fname', caption: 'First Name', size: '180px', info: true },
          { field: 'lname', caption: 'Last Name', size: '180px' },
          { field: 'email', caption: 'Email', size: '40%' },
          { field: 'sdate', caption: 'Start Date', size: '120px' }
      ],
      records: [
          { recid: 1, fname: 'John', lname: 'Doe', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 2, fname: 'Stuart', lname: 'Motzart', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 3, fname: 'Jin', lname: 'Franson', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 4, fname: 'Susan', lname: 'Ottie', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 5, fname: 'Kelly', lname: 'Silver', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 6, fname: 'Francis', lname: 'Gatos', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 7, fname: 'Mark', lname: 'Welldo', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 8, fname: 'Thomas', lname: 'Bahh', email: 'jdoe@gmail.com', sdate: '4/3/2012' },
          { recid: 9, fname: 'Sergei', lname: 'Rachmaninov', email: 'jdoe@gmail.com', sdate: '4/3/2012' }
      ]
  },
  grid2: { 
      name: 'grid2',
      columns: [
          { field: 'state', caption: 'State', size: '80px' },
          { field: 'title', caption: 'Title', size: '100%' },
          { field: 'priority', caption: 'Priority', size: '80px', attr: 'align="center"' }
      ],
      records: [
          { recid: 1, state: 'Open', title: 'Short title for the record', priority: 2 },
          { recid: 2, state: 'Open', title: 'Short title for the record', priority: 3 },
          { recid: 3, state: 'Closed', title: 'Short title for the record', priority: 1 }
      ]
  }
};
  
$(function () {
  $('#layout').w2layout(config.layout);
  w2ui.layout.html('main', $().w2grid(config.grid1));
  // in memory initialization
  $().w2grid(config.grid2);
  
  var x = $('#form').w2form({
    name  : 'form',
    url   : 'server/post',
    fields: [
      { field: 'first_name', type: 'text', required: true },
      { field: 'last_name',  type: 'text', required: true },
      { field: 'comments',   type: 'text'}
    ],
    actions: {
      reset: function () {
        this.clear();
      },
      save: function () {
        this.save();
      }
    }
  });
  
  w2ui['layout'].html('left', x);
});  