<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"  
  xmlns:req="http://www.armatiek.com/xslweb/request"
  xmlns:resp="http://www.armatiek.com/xslweb/response"
  xmlns:session="http://www.armatiek.com/xslweb/session"
  xmlns:config="http://www.armatiek.com/xslweb/configuration"
  expand-text="yes"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:output method="html" version="5.0" indent="yes"/>
  
  <xsl:variable name="context-path" select="/*/req:context-path || /*/req:webapp-path" as="xs:string"/>
  
  <xsl:template match="/">
    <resp:response status="200">
      <resp:body>
        <xsl:call-template name="body"/>
      </resp:body>
    </resp:response>          
  </xsl:template>
  
  <xsl:template name="body">
    <html>
      <head>
        <title>Wettenbank</title>
        <link rel="stylesheet" type="text/css" href="{$context-path}/css/wettenbank.css"/>
        <link rel="stylesheet" type="text/css" href="{$context-path}/w2ui/1.5.master/w2ui.min.css"/>
        <link rel="stylesheet" type="text/css" href="{$context-path}/font-awesome/5.15.1/css/all.min.css"/>        
        <script type="text/javascript" src="{$context-path}/jquery/3.5.1/jquery-3.5.1.min.js"/>
        <script type="text/javascript" src="{$context-path}/w2ui/1.5.master/w2ui.min.js"/>
        <script type="text/javascript" src="{$context-path}/underscore.string/3.3.4/underscore.string.min.js"/>
      </head>
      <body style="margin:0px;"> 
        <div id="layout" style="position:absolute; width:100%; height:100%;"></div>
        
        <div id="form">
          <div class="w2ui-page page-0">
            <div class="w2ui-field w2ui-field w2ui-span-none">
              <label>First Name:</label>
              <div>
                <input name="first_name" type="text" maxlength="100" size="20"/>
              </div>
            </div>
            <div class="w2ui-field w2ui-field w2ui-span-none">
              <label>Last Name:</label>
              <div>
                <input name="last_name" type="text" maxlength="100" size="20"/>
              </div>
            </div>
            <div class="w2ui-field w2ui-field w2ui-span-none">
              <label>Text Area:</label>
              <div>
                <textarea name="comments" type="text" style="width: 50px; height: 80px; resize: none"></textarea>
              </div>
            </div>
          </div>
          
          <div class="w2ui-buttons">
            <button class="w2ui-btn" name="reset">Reset</button>
            <button class="w2ui-btn w2ui-btn-blue" name="save">Save</button>
          </div>
        </div>
        
        
        <script type="text/javascript" src="{$context-path}/js/wettenbank.js"/>
      </body>
    </html>
  </xsl:template>
  
</xsl:stylesheet>